Межсайтовый скриптинг в WebCollab

Дата публикации:
06.05.2009
Дата изменения:
06.05.2009
Всего просмотров:
1514
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-1454
CVE-2009-1455
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WebCollab 2.x
Уязвимые версии: WebCollab 2.40, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "selection" в сценарии tasks.php, когда параметр "action" установлен в значение "todo". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение.

URL производителя: webcollab.sourceforge.net

Решение: Установите последнюю версию 2.50 с сайта производителя.

Ссылки: http://sourceforge.net/project/shownotes.php?release_id=676245&group_id=75945
http://holisticinfosec.org/content/view/108/45/

или введите имя

CAPTCHA